{{!-- Activation Cost --}}
<div class="form-group input-select">
    <label>{{ localize "SW5E.ItemActivationCost" }}</label>
    <div class="form-fields">
        <input type="text" name="data.activation.cost" value="{{data.activation.cost}}" data-dtype="Number" placeholder="-"/>
        <select name="data.activation.type">
            {{#select data.activation.type}}
            <option value=""></option>
            {{#each config.abilityActivationTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>
{{#if data.activation.type}}

{{!-- Activation Condition --}}
<div class="form-group">
    <label>{{ localize "SW5E.ItemActivationCondition" }}</label>
    <div class="form-fields">
        <input type="text" name="data.activation.condition" value="{{data.activation.condition}}"/>
    </div>
</div>


{{!-- Ability Target --}}
<div class="form-group input-select-select">
    <label>{{ localize "SW5E.Target" }}</label>
    <div class="form-fields">
        <input type="text" name="data.target.value" value="{{data.target.value}}" data-dtype="Number" placeholder="-"/>
        <select name="data.target.units">
            {{#select data.target.units}}
            <option value=""></option>
            {{#each config.distanceUnits as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.target.type">
            {{#select data.target.type}}
            <option value=""></option>
            {{#each config.targetTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>

{{!-- Ability Range --}}
<div class="form-group input-select">
    <label>{{ localize "SW5E.Range" }}</label>
    <div class="form-fields">
        <input type="text" name="data.range.value" value="{{data.range.value}}" data-dtype="Number" placeholder="{{ localize 'SW5E.Normal' }}"/>
        <span class="sep">/</span>
        <input type="text" name="data.range.long" value="{{data.range.long}}" data-dtype="Number" placeholder="{{ localize 'SW5E.Max' }}"/>
        <select name="data.range.units">
            {{#select data.range.units}}
            <option value=""></option>
            {{#each config.distanceUnits as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>

{{!-- Effect Duration --}}
<div class="form-group input-select">
    <label>{{ localize "SW5E.Duration" }}</label>
    <div class="form-fields">
        <input type="text" name="data.duration.value" value="{{data.duration.value}}" data-dtype="Number" placeholder="-"/>
        <select name="data.duration.units">
            {{#select data.duration.units}}
            <option value=""></option>
            {{#each config.timePeriods as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>

{{!-- Limited Uses --}}
<div class="form-group uses-per">
    <label>{{ localize "SW5E.LimitedUses" }}</label>
    <div class="form-fields">
        <input type="text" name="data.uses.value" value="{{data.uses.value}}" data-dtype="Number"/>
        <span class="sep"> {{ localize "SW5E.of" }} </span>
        <input type="text" name="data.uses.max" value="{{data.uses.max}}" data-dtype="Number"/>
        <select name="data.uses.per">
            {{#select data.uses.per}}
            <option value=""></option>
            {{#each config.limitedUsePeriods as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
    </div>
</div>

{{!-- Consumption --}}
<div class="form-group uses-per">
    <label>{{ localize "SW5E.ConsumeTitle" }}</label>
    <div class="form-fields">
        <select name="data.consume.type">
            {{#select data.consume.type}}
            <option value=""></option>
            {{#each config.abilityConsumptionTypes as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <select name="data.consume.target">
            {{#select data.consume.target}}
            <option value=""></option>
            {{#each abilityConsumptionTargets as |name key|}}
            <option value="{{key}}">{{name}}</option>
            {{/each}}
            {{/select}}
        </select>
        <input type="text" name="data.consume.amount" value="{{data.consume.amount}}" data-dtype="Number"/>
    </div>
</div>
{{/if}}